NAND_READ_PAGE_RAW_S(9)

NAME
nand_read_page_raw_syndrome - [INTERN] read raw page data without ecc

SYNOPSIS

int nand_read_page_raw_syndrome(struct mtd_info * mtd, struct nand_chip * chip, uint8_t * buf, int oob_required, int page);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

buf
    buffer to store read data

oob_required
    caller requires OOB data read to chip->oob_poi

page
    page number to read

DESCRIPTION

We need a special oob layout and handling even when OOB isn't used.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT